module ModTest1 interface;

export
  ModTest = (i, DoTest);

var
  i: integer;


procedure DoTest;


end.


module ModTest1 implementation;


(* Fixed: Implementation Module did not know about Interfaces. *)

procedure DoTest;
begin
  i := -9;
end;



end.


program Test(output);

import
  ModTest;

begin
  DoTest;
  if i = -9
    then  writeln('OK')
    else  writeln('failed');
end.
